/*----------音センサ（コンデンサマイク）----------                 
 * 【使用方法】
 *  ある一定以上の音に反応する。
 *  大きな音があれば「1」、音がなければ「0」が帰ってくる。
 *  反応する音の大きさは設定により変えられる。
 *    
 * 【命令】
 *  音を調べる >> kiku();
 *  反応する音量>>kiku_ookisa_1 == 調整値;
 *                                   +-----0～1023の範囲で調整可能
 *  
 * 【例】
 *  音を調べて大きな音が鳴れば（250以下なら）走り出す。
 *    while(move_Flag == 0){
 *      if(kiku(250)==1){  
 *        hasiru(sayuu, mae);
 *        break;
 *      }
 *      hasiru(sayuu, OFF);
 *    }
 */
unsigned int kiku(unsigned int kiku_ookisa_1){
  unsigned int mic_result = 0;
  unsigned int MIC_ACTIVE_TH1 = 1023-kiku_ookisa_1;
  //static int MIC_ACTIVE_TH1 = 250;  //マイク検出しきい値1…通常時1.76V（546/1023）前後　マイクノック時2.04V(633/1023)

    if(kiku_ookisa_1==0){
        return 1023-analogRead(MIC_SENSOR);
    }
    else if(analogRead(MIC_SENSOR) <=  MIC_ACTIVE_TH1){    //　アナログ検出
      active_led = 1;                                 //反応アクション
      delay(CHATTERING_WAIT_TIME);                    //  チャタリング回避  
      if(analogRead(MIC_SENSOR) <=  MIC_ACTIVE_TH1){    //　アナログ検出
        mic_result = 1;                                 //            1回を返す
      }
    }
    else{
      mic_result = 0;   
      active_led = 0;                                 //反応アクション
    }
  
    return mic_result;
}
void kiku(unsigned int kiku_ookisa_1 , char test){
  unsigned char mic_result = 0;
  unsigned int MIC_ACTIVE_TH1 = kiku_ookisa_1;
  //static int MIC_ACTIVE_TH1 = 250;  //マイク検出しきい値1…通常時1.76V（546/1023）前後　マイクノック時2.04V(633/1023)

    Serial.print("音の大きさ：");
    Serial.print(analogRead(MIC_SENSOR));
    if(kiku_ookisa_1==0){
        return analogRead(MIC_SENSOR);
    }      
    else if(analogRead(MIC_SENSOR) <=  MIC_ACTIVE_TH1){    //　アナログ検出
      active_led = 1;                                 //反応アクション
      delay(CHATTERING_WAIT_TIME);                    //  チャタリング回避  
      if(analogRead(MIC_SENSOR) <=  MIC_ACTIVE_TH1){    //　アナログ検出
        mic_result = 1;                                 //            1回を返す
      }
    }
    else{
      mic_result = 0;   
      active_led = 0;                                 //反応アクション
    }
    Serial.print("\t結果：");
    Serial.println(mic_result);  
}

unsigned char kiku(unsigned int kiku_ookisa_1, unsigned int kiku_ookisa_2){
  unsigned char mic_result = 0;
  unsigned int MIC_ACTIVE_TH1 = kiku_ookisa_1;
  unsigned int MIC_ACTIVE_TH2 = kiku_ookisa_2;
  //static int MIC_ACTIVE_TH1 = 250;  //マイク検出しきい値1…通常時1.76V（546/1023）前後　マイクノック時2.04V(633/1023)
  //static int MIC_ACTIVE_TH2 = 250;  //マイク検出しきい値1…通常時1.76V（546/1023）前後　マイクノック時2.04V(633/1023)

  if(analogRead(MIC_SENSOR) <=  MIC_ACTIVE_TH1){    //　アナログ検出
      active_led = 1;                                 //反応アクション
      delay(CHATTERING_WAIT_TIME);                    //  チャタリング回避  
      for(int i=0 ; i<=DOUBLE_TAP_WAIT_TIME ; i++){   //   *ダブルタップ検出ループ
                                                      //   |  ADC時間100us*double_Tap_WT =（検出時間）
        if(analogRead(MIC_SENSOR) <= MIC_ACTIVE_TH2){ //   +-----ダブルタップ時の動作
          mic_result = 2;                             //   |         2回を返す      
          break;                                      //   |         ループ中止
        }                                             //   |
      }                                               //   |
                                                      //   +-----シングルタップ時の動作
      mic_result = 1;                                 //            1回を返す
    }
    else{
      mic_result = 0;   
      active_led = 0;                                 //反応アクション
    }
  
    return mic_result;
}
