/*----------ホーン（スピーカー）----------                 
 * 【使用方法】
 *  プログラムで音を鳴らしたいときに命令を実行する。
 *  
 * 【命令】
 *  ホーンを鳴らす >> oto(音階, 長さ);
 *                       |    +--ミリ秒（0.001秒）きざみで鳴らしたい長さを入れる。
 *                       |       例）1秒：1000、　0.5秒：500　0.01秒：10
 *                       |
 *                       +--do_1:ド  re_1:レ　 mi_1:ミ　 fa_1:ファ　 so_1:ソ　 ra_1:ラ　 si_1:シ　
 *                          do_2:ド  re_2:レ　 mi_2:ミ　 fa_2:ファ　 so_2:ソ　 ra_2:ラ　 si_2:シ　
 *  ホーンを消す   >> oto(0);
 *               >> oto(OFF);
 */

void oto(unsigned char scale, unsigned int msec){
  if(scale == do_1){                       //ド
    tone(SPEAKER, 523, msec); 
  }    
  else if(scale == re_1){                  //レ
    tone(SPEAKER, 587, msec); 
  }  
  else if(scale == mi_1){                  //ミ
    tone(SPEAKER, 659, msec); 
  }  
  else if(scale == fa_1){                  //ファ
    tone(SPEAKER, 698, msec); 
  }  
  else if(scale == so_1){                  //ソ
    tone(SPEAKER, 784, msec); 
  }  
  else if(scale == ra_1){                  //ラ
    tone(SPEAKER, 880, msec); 
  }  
  else if(scale == si_1){                  //シ
    tone(SPEAKER, 988, msec); 
  }  
  else if(scale == do_2){                  //ド
    tone(SPEAKER, 1047, msec); 
  }    
  else if(scale == re_2){                  //レ
    tone(SPEAKER, 1175, msec); 
  }  
  else if(scale == mi_2){                  //ミ
    tone(SPEAKER, 1319, msec); 
  }  
  else if(scale == fa_2){                  //ファ
    tone(SPEAKER, 1397, msec); 
  }  
  else if(scale == so_2){                  //ソ
    tone(SPEAKER, 1568, msec); 
  }  
  else if(scale == ra_2){                  //ラ
    tone(SPEAKER, 1760, msec); 
  }  
  else if(scale == si_2){                  //シ
    tone(SPEAKER, 1976, msec); 
  }  
  else if(scale == do_2){                  //ド
    tone(SPEAKER, 2093, msec); 
  }  
  else if(scale == OFF){                   //OFF
    noTone(SPEAKER); 
  }  
  else{
    noTone(SPEAKER);
  }
}
