/*----------ボタン（タクトスイッチ）----------                 
 * 【使用方法】
 *  ボタンが押されているか調べる
 *  押されて入ればHIGH、押されていなければLOWが戻される。
 *    
 * 【命令】
 *  ボタンの状態を調べる >> Button(ボタン番号);
 *                                +-------> 1:ボタン１
 *                                          2:ボタン２
 *                                          
 * 【例】
 *  ボタン１が押されたら直進を続けて、ボタン２が押されたら止まる。
 *  if(Button(1) == HIGH){
 *    while(1){
 *      Motor(RL, FRONT);
 *      if(Button(2) == HIGH){
 *        Motor(RL, BRAKE);
 *        break;
 *      }
 *    }
 *  }
 */

 
int botann(unsigned char select_sw){
  return Button(select_sw);   
}

//Tactile Switch1-------------------------------------
int Button(unsigned char select_sw){
  unsigned char tactile_sw_val = 0;
  if(select_sw == 1){
    tactile_sw_val  = Sw_Bounse(TACTILE_SW1);  
  }
  else if(select_sw == 2){
    tactile_sw_val  = Sw_Bounse(TACTILE_SW2);  
  }
  else{
    tactile_sw_val  = (Sw_Bounse(TACTILE_SW1) + Sw_Bounse(TACTILE_SW2));  
  }
  
  if((tactile_sw_val) && (sw_release_flag)){
    sw_release_flag = 0;  
    return 1; 
  }
  else if(tactile_sw_val){
    sw_release_flag = 0;    
  }
  else{
    sw_release_flag = 1;    
  }  
  return 0;
}
//Sw_Bounse-------------------------------------------------
 int Sw_Bounse(int sw_name){
  if(digitalRead(sw_name)){
    delay(5);
    if(digitalRead(sw_name)){
      return YES;  
    }
  }
  else{
    return NO;
  } 
 }
